<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Woorksheet ALL</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar/sidebar_journal::sidebar_journal" th:remove="tag">
        sidebar
    </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="card shadow-lg">
                    <div class="card-header">
                        <h5>Journal Woorksheet ALL</h5>
                    </div>
                    <div class="card-body">
                        <div class="row mb-3">
                            <div class="col-md-12 mb-3">
                                <form action="" method="get">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <label>Tahun</label>
                                            <select name="tahun" class="form-control">
                                                <option value="">-- Pilih --</option>
                                                <option th:each="data, row:${year}"
                                                        th:value="${data.id}"
                                                        th:text="${data.year}"
                                                        th:selected="${tahun != null and tahun == data.id.toString()}"></option>
                                            </select>
                                        </div>
                                    </div>

                                    <button class="btn btn-primary btn-sm mt-2">Search</button>
                                </form>
                            </div>
                            <div class="col-md-12 text-end">
                                <a th:href="@{/download-worksheet(tahun = ${tahun}, bulan = ${bulan})}" class="btn btn-success btn-sm">Download</a>
                            </div>
                        </div>
                        <div class="row mb-3">
                            <div class="col-md-12">
                                <!-- Looping data berdasarkan kode akun -->
                                <div class="card mb-4" th:each="entry : ${groupedData}">
                                    <div class="card-header">
                                        <div class="row pt-3">
                                            <div class="col-md-6">
                                                <p>Nama Akun : <span th:text="${entry.value.accountName}"></span></p>
                                            </div>
                                            <div class="col-md-6">
                                                <p>Kode Akun : <span th:text="${entry.key}"></span></p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="card-body">
                                        <div class="table-responsive">
                                            <table class="table table-bordered table-sm">
                                                <thead class="bg-dark text-white">
                                                <tr>
                                                    <th>Tanggal</th>
                                                    <th>Keterangan</th>
                                                    <th>Debet</th>
                                                    <th>Kredit</th>
                                                    <th>Saldo</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                <th:block th:with="filteredTransactions=${entry.value.woorkSheetList.?[!(debet == 0 and credit == 0 and saldoAkhir == 0)]}">
                                                    <tr th:each="transaction, iterStat : ${filteredTransactions}">
                                                        <td th:text="${transaction.tanggal + ' ' + transaction.bulan}"></td>
                                                        <td th:text="${transaction.desk}"></td>
                                                        <td th:text="${transaction.debet}"></td>
                                                        <td th:text="${transaction.credit}"></td>
                                                        <td th:text="${transaction.saldoAkhir}"></td>
                                                    </tr>
                                                    <!-- Jika semua data bernilai nol, tampilkan hanya satu baris -->
                                                    <tr th:if="${filteredTransactions.isEmpty()}">
                                                        <td>- -</td>
                                                        <td>-</td>
                                                        <td>0.00</td>
                                                        <td>0.00</td>
                                                        <td>0.00</td>
                                                    </tr>
                                                </th:block>
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                                <!-- End Looping -->
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
</main>
</body>
</html>
